com.mxgraph.swing.util

## Class mxSwingConstants

- java.lang.Object
- - com.mxgraph.swing.util.mxSwingConstants

-     public class mxSwingConstants
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.awt.Color` | `CONNECT_HANDLE_FILLCOLOR` Defines the connect handle fill color.
    `static java.awt.Color` | `DEFAULT_INVALID_COLOR` Specifies the default invalid color.
    `static java.awt.Color` | `DEFAULT_VALID_COLOR` Specifies the default valid color.
    `static java.awt.Color` | `EDGE_SELECTION_COLOR` Defines the selection color for edges.
    `static java.awt.Stroke` | `EDGE_SELECTION_STROKE` Defines the stroke used for painting selected edges.
    `static java.awt.image.BufferedImage` | `EMPTY_IMAGE` Contains an empty image of size 1, 1.
    `static java.awt.Color` | `HANDLE_BORDERCOLOR` Defines the handle border color.
    `static java.awt.Color` | `HANDLE_FILLCOLOR` Defines the handle fill color.
    `static java.awt.Color` | `LABEL_HANDLE_FILLCOLOR` Defines the label handle fill color.
    `static java.awt.Color` | `LOCKED_HANDLE_FILLCOLOR` Defines the handle fill color for locked handles.
    `static javax.swing.border.Border` | `PREVIEW_BORDER` Defines the border used for painting the preview when vertices are being resized, or cells and labels are being moved.
    `static java.awt.Stroke` | `PREVIEW_STROKE` Defines the stroke used for painting the preview for new and existing edges that are being changed.
    `static java.awt.Color` | `RUBBERBAND_BORDERCOLOR` Defines the rubberband border color.
    `static java.awt.Color` | `RUBBERBAND_FILLCOLOR` Defines the rubberband fill color with an alpha of 80.
    `static java.awt.Color` | `SHADOW_COLOR` Defines the color to be used for shadows.
    `static java.awt.Color` | `VERTEX_SELECTION_COLOR` Defines the selection color for vertices.
    `static java.awt.Stroke` | `VERTEX_SELECTION_STROKE` Defines the stroke used for painting the border of selected vertices.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxSwingConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY_IMAGE

          public static java.awt.image.BufferedImage EMPTY_IMAGE

      Contains an empty image of size 1, 1.

    - #### SHADOW_COLOR

          public static java.awt.Color SHADOW_COLOR

      Defines the color to be used for shadows. Default is gray.

    - #### DEFAULT_VALID_COLOR

          public static java.awt.Color DEFAULT_VALID_COLOR

      Specifies the default valid color. Default is green.

    - #### DEFAULT_INVALID_COLOR

          public static java.awt.Color DEFAULT_INVALID_COLOR

      Specifies the default invalid color. Default is red.

    - #### RUBBERBAND_BORDERCOLOR

          public static java.awt.Color RUBBERBAND_BORDERCOLOR

      Defines the rubberband border color.

    - #### RUBBERBAND_FILLCOLOR

          public static java.awt.Color RUBBERBAND_FILLCOLOR

      Defines the rubberband fill color with an alpha of 80.

    - #### HANDLE_BORDERCOLOR

          public static java.awt.Color HANDLE_BORDERCOLOR

      Defines the handle border color. Default is black.

    - #### HANDLE_FILLCOLOR

          public static java.awt.Color HANDLE_FILLCOLOR

      Defines the handle fill color. Default is green.

    - #### LABEL_HANDLE_FILLCOLOR

          public static java.awt.Color LABEL_HANDLE_FILLCOLOR

      Defines the label handle fill color. Default is yellow.

    - #### CONNECT_HANDLE_FILLCOLOR

          public static java.awt.Color CONNECT_HANDLE_FILLCOLOR

      Defines the connect handle fill color. Default is blue.

    - #### LOCKED_HANDLE_FILLCOLOR

          public static java.awt.Color LOCKED_HANDLE_FILLCOLOR

      Defines the handle fill color for locked handles. Default is red.

    - #### EDGE_SELECTION_COLOR

          public static java.awt.Color EDGE_SELECTION_COLOR

      Defines the selection color for edges. Default is green.

    - #### VERTEX_SELECTION_COLOR

          public static java.awt.Color VERTEX_SELECTION_COLOR

      Defines the selection color for vertices. Default is green.

    - #### EDGE_SELECTION_STROKE

          public static java.awt.Stroke EDGE_SELECTION_STROKE

      Defines the stroke used for painting selected edges. Default is a dashed line.

    - #### VERTEX_SELECTION_STROKE

          public static java.awt.Stroke VERTEX_SELECTION_STROKE

      Defines the stroke used for painting the border of selected vertices. Default is a dashed line.

    - #### PREVIEW_STROKE

          public static java.awt.Stroke PREVIEW_STROKE

      Defines the stroke used for painting the preview for new and existing edges that are being changed. Default is a dashed line.

    - #### PREVIEW_BORDER

          public static javax.swing.border.Border PREVIEW_BORDER

      Defines the border used for painting the preview when vertices are being resized, or cells and labels are being moved.

  - ### Constructor Detail

    - #### mxSwingConstants

          public mxSwingConstants()

Copyright (c) 2010 Gaudenz Alder. All rights reserved.